#include <stdlib.h>
#include <stdio.h>
#include <dos.h>
#include <string.h>

#include "mtask.h"
//#include "timer.h"

MTask::MTask( int winslice ) :
  pause( none_pause )

{
  int version;
  name = new char [ 32 ];

#if !defined(__OS2__)

  if( ml_active() )
  {
     strcpy( name, "MultiLink" );
     pause = ml_pause;
     who = MTaskML;
  }
  else
    if( (version =dv_get_version() ), version )
    {
      sprintf( name, "DESQView %d.%d", (version>>8)&0xff, version&0xff );
      pause = dv_pause;
      who = MTaskDesqView;
    }
    else
      if( (version=tv_get_version()), version )
      {
	sprintf( name, "TopView %d.%d", (version>>8)&0xff, version&0xff );
	pause = tv_pause;
	who =  MTaskTopWiew;
      }
      else
	if( mos_active() )
	{
	  strcpy( name, "PC-MOS" );
	  pause = mos_pause;
	  who = MTaskMOS;
	}
	else
	  if( ddos_active() )
	  {
	    strcpy( name, "Double DOS" );
	    pause = ddos_pause;
	    who = MTaskDoubleDos;
	  }
	  else
	    if( windows_active() )
	    {
	      strcpy( name, "Windows" );

	      if( winslice )
		pause = windows_pause;
	      else
		strcat( name, " 쭮!" );

	      who = MTaskWindows;
	    }
	    else
	    if( (version =os2_get_version() ), version )
	    {
	      sprintf( name, "OS/2 %d.%d DOS box", ((version>>8)&0xff)/10, version&0xff );
	      pause = os2_pause;
	      who = MTaskOS2;
	    }
	    else
	      {
		sprintf( name, "DOS %d.%d", _osmajor&0xff, _osminor&0xff );
		pause = msdos_pause;
		who =  MTaskNone;
	      }

#else

  sprintf( name, "OS/2 %d.%d", (_osmajor&0xff)/10, _osminor&0xff, winslice );
  who = MTaskOS2Native;

#endif

}

void MTask::delay( long /*how*/ )
{

/*
  if( how<250 )
    ::delay( int(how) );
  else
  {
    Timer t( how );
    t.waitTimer();
  }
*/

}

//MTask *mTask;