/*
 * Definitions etc. for regexp(3) routines.
 *
 * Caveat:  this is V8 regexp(3) [actually, a reimplementation thereof],
 * not the System V one.
 */
#define NSUBEXP  10
typedef struct regexp {
	char *startp[NSUBEXP];
	char *endp[NSUBEXP];
	char regstart;		/* Internal use only. */
	char reganch;		/* Internal use only. */
	char *regmust;		/* Internal use only. */
	int regmlen;		/* Internal use only. */
	char program[1];	/* Unwarranted chumminess with compiler. */
} regexp;

#if defined(__cplusplus)

extern "C" {
#define CDECL cdecl

#else

#define CDECL

#endif

regexp *regcomp( char * );
int regexec( regexp *, char * );
void regsub( regexp *, char *, char * );
void regerror( char * );

#if defined(__cplusplus)

}

#endif
