#if !defined(__MTASK_H)

#define __MTASK_H

#if defined(__OS2__)
#  define far
#  define near
#endif

class MTask
{
  enum MTaskType { MTaskNone=0, MTaskWindows, MTaskDesqView, MTaskTopWiew,
                   MTaskDoubleDos, MTaskMOS, MTaskML, MTaskOS2,
                   MTaskOS2Native };

  MTaskType who;
  void (far * pause)( void );
  char *name;

public:

  MTask( int winslice=1 );
  ~MTask() { delete name; }

  void checkPoint() { (*pause)(); }
  char *getName() { return name; }
  MTaskType whoIs() { return who; }

  void delay( long how );

};

extern "C"
{

  int far dv_get_version();
  int far tv_get_version();
  int far os2_get_version();
  int far windows_active();
  int far mos_active();
  int far ddos_active();
  int far ml_active();

  void far ml_pause();
  void far dv_pause();
  void far tv_pause();
  void far ddos_pause();
  void far windows_pause();
  void far mos_pause();
  void far msdos_pause();
  void far none_pause();
  void far os2_pause();

}

extern MTask *mTask;

inline void checkPoint() { if( mTask!=NULL ) mTask->checkPoint(); }

#endif